Debian Bug report logs - #349165
O: ieee80211 -- Source for the 802.11 (wireless) network stack for Linux

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Mike Hommey <mh@glandium.org>

Date: Sat, 21 Jan 2006 12:33:15 UTC

Severity: normal

Fixed in version ieee80211/1.1.6-4

Done: Daniel Baumann <daniel.baumann@panthera-systems.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349165; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: ieee80211 -- Source for the 802.11 (wireless) network stack for Linux
Date: Sat, 21 Jan 2006 13:30:34 +0100
Package: wnpp
Severity: normal

I intend to orphan the ieee80211 package.

As it is now included in vanilla kernel since 2.6.14 and is impossible
to build without breaking the debian packaging system for recent kernels
(see #338775), I lost interest in packaging ieee80211. I'm therefore
orphaning it.

The package description is:
 This package provides the source code for the 802.11 (wireless) network
 stack module for the Linux kernel. Though it has been incorporated in
 latest kernel versions, the bundled one might not be up-to-date to build
 third-party wireless modules such as ipw2100 or ipw2200 which are common
 on Centrino notebooks.
 .
 In order to compile these modules you need the kernel sources (or the
 kernel-headers for the kernel-image packages from Debian). For compile
 instructions look into /usr/share/doc/ieee80211-source/README.Debian or
 simply use the module-assistant utility.
 .
 The project's homepage can be found here:
 http://ieee80211.sourceforge.net

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.15-1-686
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349165; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #10 received at 349165@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>, 349165@bugs.debian.org, 349164@bugs.debian.org
Subject: Re: Bug#349165: O: ieee80211 -- Source for the 802.11 (wireless) network stack for Linux
Date: Sun, 22 Jan 2006 13:36:20 +0100
[Message part 1 (text/plain, inline)]
Hi,

Mike Hommey wrote:
> As it is now included in vanilla kernel since 2.6.14 and is impossible
> to build without breaking the debian packaging system for recent kernels
> (see #338775), I lost interest in packaging ieee80211. I'm therefore
> orphaning it.

Shouldn't it then be simply removed from unstable? (likewise with ipw2200)

Regards,

Rene
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349165; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #15 received at 349165@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 349165@bugs.debian.org, 349164@bugs.debian.org
Subject: Re: Bug#349165: O: ieee80211 -- Source for the 802.11 (wireless) network stack for Linux
Date: Sun, 22 Jan 2006 14:24:28 +0100
On Sun, Jan 22, 2006 at 01:36:20PM +0100, Rene Engelhard <rene@debian.org> wrote:
> Hi,
> 
> Mike Hommey wrote:
> > As it is now included in vanilla kernel since 2.6.14 and is impossible
> > to build without breaking the debian packaging system for recent kernels
> > (see #338775), I lost interest in packaging ieee80211. I'm therefore
> > orphaning it.
> 
> Shouldn't it then be simply removed from unstable? (likewise with ipw2200)
> 
> Regards,
> 
> Rene

Well, some people prefer using the upstream ones instead of the vanilla
kernel ones, because there are still issues with the version in vanilla
kernel.

Some other people don't want to upgrade kernel, and for them it's the
only solution to get these drivers. For these people, the current
drivers are better than nothing. Removing them would not be nice to
these people.

Cheers,

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349165; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #20 received at 349165@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 349165@bugs.debian.org, 349164@bugs.debian.org
Subject: Re: Bug#349165: O: ieee80211 -- Source for the 802.11 (wireless) network stack for Linux
Date: Sun, 22 Jan 2006 20:01:57 +0100
[Message part 1 (text/plain, inline)]
Hi,

Mike Hommey wrote:
> On Sun, Jan 22, 2006 at 01:36:20PM +0100, Rene Engelhard <rene@debian.org> wrote:
> > Shouldn't it then be simply removed from unstable? (likewise with ipw2200)
> 
> Well, some people prefer using the upstream ones instead of the vanilla
> kernel ones, because there are still issues with the version in vanilla
> kernel.

Yes, but that still won't work then as you say those don't build with
newer kernels, didn't you?

> Some other people don't want to upgrade kernel, and for them it's the
> only solution to get these drivers. For these people, the current
> drivers are better than nothing. Removing them would not be nice to
> these people.

Hmm. That's a point.

Regards,

Rene
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349165; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #25 received at 349165@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 349165@bugs.debian.org, 349164@bugs.debian.org
Subject: Re: Bug#349165: O: ieee80211 -- Source for the 802.11 (wireless) network stack for Linux
Date: Sun, 22 Jan 2006 20:33:35 +0100
On Sun, Jan 22, 2006 at 08:01:57PM +0100, Rene Engelhard <rene@debian.org> wrote:
> Hi,
> 
> Mike Hommey wrote:
> > On Sun, Jan 22, 2006 at 01:36:20PM +0100, Rene Engelhard <rene@debian.org> wrote:
> > > Shouldn't it then be simply removed from unstable? (likewise with ipw2200)
> > 
> > Well, some people prefer using the upstream ones instead of the vanilla
> > kernel ones, because there are still issues with the version in vanilla
> > kernel.
> 
> Yes, but that still won't work then as you say those don't build with
> newer kernels, didn't you?

I found no clean solution for doing that, but there are workarounds to
make it work, but that implies overwriting other packages' files. If the
adopting maintainer wants to provide scripts or howtos to go this
not-clean-but-only way, that's fine by me.

> > Some other people don't want to upgrade kernel, and for them it's the
> > only solution to get these drivers. For these people, the current
> > drivers are better than nothing. Removing them would not be nice to
> > these people.
> 
> Hmm. That's a point.

But a question remains : are they numerous ?

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349165; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Rene Engelhard <rene@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #30 received at 349165@bugs.debian.org (full text, mbox):

From: Rene Engelhard <rene@debian.org>
To: Mike Hommey <mh@glandium.org>
Cc: 349165@bugs.debian.org, 349164@bugs.debian.org
Subject: Re: Bug#349165: O: ieee80211 -- Source for the 802.11 (wireless) network stack for Linux
Date: Sun, 22 Jan 2006 20:58:12 +0100
[Message part 1 (text/plain, inline)]
Hi,

Mike Hommey wrote:
> > Yes, but that still won't work then as you say those don't build with
> > newer kernels, didn't you?
> 
> I found no clean solution for doing that, but there are workarounds to
> make it work, but that implies overwriting other packages' files. If the

What about dpkg-divert? (which I incidentially am doing for
ieee80211softmac) ;-). But that will get a mess when I'd have to deal
with in-kernel-image ieee80211 module and out-of-kernel-image ieee80211
module...

But yes, the problem with kernel-built-in ieee80211 is the same... But I
guess we should then simply fail, telling the user what's "wrong".

Regards,

Rene
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349165; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Mike Hommey <mh@glandium.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #35 received at 349165@bugs.debian.org (full text, mbox):

From: Mike Hommey <mh@glandium.org>
To: Rene Engelhard <rene@debian.org>
Cc: 349165@bugs.debian.org, 349164@bugs.debian.org
Subject: Re: Bug#349165: O: ieee80211 -- Source for the 802.11 (wireless) network stack for Linux
Date: Sun, 22 Jan 2006 21:17:19 +0100
On Sun, Jan 22, 2006 at 08:58:12PM +0100, Rene Engelhard <rene@debian.org> wrote:
> What about dpkg-divert? (which I incidentially am doing for
> ieee80211softmac) ;-). But that will get a mess when I'd have to deal
> with in-kernel-image ieee80211 module and out-of-kernel-image ieee80211
> module...

I tried that kind of approach but there still is a problem with the symbols
list in /usr/src/linux-header-x.x/i/can't/remember/exactly/where that is
used by the makefiles and scripts provided by the kernel to create the
module and its symbol dependency list.
Actually there's no need for the dpkg-divert thing, since you can put
the modules in /lib/modules/`uname -r`/updates/

And that's why external ipw2200 won't load with external ieee80211
because it depends on old symbols.

Cheers,

Mike



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#349165; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Henrique de Moraes Holschuh <hmh@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #40 received at 349165@bugs.debian.org (full text, mbox):

From: Henrique de Moraes Holschuh <hmh@debian.org>
To: Mike Hommey <mh@glandium.org>, Rene Engelhard <rene@debian.org>
Cc: 349165@bugs.debian.org, 349164@bugs.debian.org
Subject: what about patching
Date: Fri, 17 Feb 2006 17:19:43 -0200
What about modifying the packages to work as patch packages, instead of
external modules ?   This is not as slick as external modules, but it should
work just fine.

-- 
  "One disk to rule them all, One disk to find them. One disk to bring
  them all and in the darkness grind them. In the Land of Redmond
  where the shadows lie." -- The Silicon Valley Tarot
  Henrique Holschuh



Reply sent to Daniel Baumann <daniel.baumann@panthera-systems.net>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Mike Hommey <mh@glandium.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 349165-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: 349165-close@bugs.debian.org
Subject: Bug#349165: fixed in ieee80211 1.1.6-4
Date: Tue, 16 May 2006 09:47:15 -0700
Source: ieee80211
Source-Version: 1.1.6-4

We believe that the bug you reported is fixed in the latest version of
ieee80211, which is due to be installed in the Debian FTP archive:

ieee80211-source_1.1.6-4_all.deb
  to pool/main/i/ieee80211/ieee80211-source_1.1.6-4_all.deb
ieee80211_1.1.6-4.diff.gz
  to pool/main/i/ieee80211/ieee80211_1.1.6-4.diff.gz
ieee80211_1.1.6-4.dsc
  to pool/main/i/ieee80211/ieee80211_1.1.6-4.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 349165@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel.baumann@panthera-systems.net> (supplier of updated ieee80211 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 15 May 2006 23:05:00 -0500
Source: ieee80211
Binary: ieee80211-source
Architecture: source all
Version: 1.1.6-4
Distribution: unstable
Urgency: low
Maintainer: Daniel Baumann <daniel.baumann@panthera-systems.net>
Changed-By: Daniel Baumann <daniel.baumann@panthera-systems.net>
Description: 
 ieee80211-source - Source for the 802.11 (wireless) network stack for Linux
Closes: 349165
Changes: 
 ieee80211 (1.1.6-4) unstable; urgency=low
 .
   * New maintainer (Closes: #349165).
Files: 
 25842076808034de37a959fb59f6c937 594 net optional ieee80211_1.1.6-4.dsc
 e021b7167099081db01539672538a00f 5202 net optional ieee80211_1.1.6-4.diff.gz
 7d7301487c1791b88f0dc28d71be1ae6 70492 net optional ieee80211-source_1.1.6-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iD8DBQFEaVWq9/DnDzB9Vu0RAgJ1AJ41t73Dqyh2F7+osfRpl7WdFhRhWwCeNyAf
CBOJew5oi5oleK6SsFf+eg0=
=J/ze
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 13:42:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 15:41:41 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.